/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.enterpriseCreditManagement.info.modular.ecmCreditData.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.unis.enterpriseCreditManagement.info.modular.ecmCreditData.entity.EcmCreditData;
import com.unis.enterpriseCreditManagement.info.modular.ecmCreditData.entity.vo.EcmCreditDataVo;
import com.unis.policy.info.modular.alPolicyFileReport.entity.AlPolicyFileReport;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 企业信用管理-信用数据管理表Mapper接口
 *
 * @author TS
 * @date  2024/05/17 17:35
 **/
public interface EcmCreditDataMapper extends BaseMapper<EcmCreditData> {
    /**
     * 获取企业信用管理-信用数据管理表自定义分页
     * @param p
     * @param queryWrapper
     * @return
     */
    IPage<EcmCreditDataVo> selectMyMapsPage(Page<EcmCreditDataVo> p, @Param(Constants.WRAPPER)QueryWrapper<AlPolicyFileReport> queryWrapper);

    /**
     * 获取未添加企业信用管理下拉列表
     * @return
     */
    List<EcmCreditDataVo> getUnitList();

    /**
     * 获取详情
     * @param id
     * @return
     */
    EcmCreditDataVo detail(@Param("id") String id);
}
